GET
Get address format information
This endpoint serves two purposes:
- When called without a countryCode, it returns a list of all supported countries with their codes and full names
- When called with a specific countryCode, it returns the required address fields and format for that country
This information is used to dynamically build address collection forms with the appropriate fields for each country.
Query Params
-
countryCodestringOptional ISO 3166-1 alpha-2 country code. If not provided, all supported countries will be returned.
Responses
200
OK
Response Body
ONE OF
-
countriesmap of strings requiredDictionary mapping ISO 3166-1 alpha-2 country codes to their full country namescountries object
-
<key>stringFull country name
-
-
rulesobject requiredrules object
-
countrystring required -
address_line_1object requiredONE OF
-
labelstring required -
requiredboolean required -
placeholderstring -
maxLengthnumber required -
typestring enum requiredtext
-
labelstring required -
requiredboolean required -
placeholderstring -
optionsmap of strings requiredoptions object
-
<key>string
-
-
typestring enum requireddropdown
-
-
address_line_2object requiredaddress_line_2 object
- Same shape as
AddressOptions.
- Same shape as
-
city_localityobjectcity_locality object
- Same shape as
AddressOptions.
- Same shape as
-
state_provinceobjectstate_province object
- Same shape as
AddressOptions.
- Same shape as
-
postal_codeobjectpostal_code object
- Same shape as
AddressOptions.
- Same shape as
-
400
Bad Request
Response Body
object
-
errorNamestring required -
errorstring required
401
Unauthorized
Response Body
object
-
errorNamestring required -
errorstring required
403
Forbidden
Response Body
object
-
errorNamestring required -
errorstring required
404
Not Found
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required